This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1256101 - rsnapshot is not on the latest version from upstream
rsnapshot is not on the latest version from upstream
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rsnapshot (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven Roberts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 19:37 EDT by Patrick O'Callaghan
Modified: 2016-10-17 23:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:38:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick O'Callaghan 2015-08-23 19:37:27 EDT
Description of problem:
The most recent version of rsnapshot is 1.4.1, but the current Fedora version is 1.3.1, which is now two releases behind.

Version-Release number of selected component (if applicable):
1.3.1

How reproducible:
Fixed

Steps to Reproduce:
1.n/a
2.
3.

Actual results:
Outdated version

Expected results:
Updated version

Additional info:
http://sourceforge.net/p/rsnapshot/mailman/message/34381531/
Comment 1 Steven Roberts 2015-11-09 16:38:11 EST
FYI, myself and a number of package maintainers from other distros were really looking forward to the new snapshot project direction to get releases newer than 1.3.1 available as an official release.

Life had gotten in the way, but I will be building a new update based on the new version.  It will likely remain in testing for a while to see what sort of backward compatibility issues will come up for it.  Given it was about seven years from when 1.3.1 was released to its successor (the 1.4 series) not a package we want to surprise users with an update with until it has had some good testing and vetting.

Thank you for getting a bug in on this as it makes sure it stays on my radar.  Once I do get a test package available, I would ask that you help get people to test and leave feedback in the fedora packaging system (a link to which should get put into this bug then the build is submitted to testing)
Comment 2 Ralf Corsepius 2016-02-16 23:48:51 EST
Ping? Meanwhile, rsnapshot-1.4.2 is out (Released Dec 8, 2015)

c.f.
https://github.com/rsnapshot/rsnapshot/releases
https://github.com/rsnapshot/rsnapshot/tags
Comment 3 Fedora End Of Life 2016-07-19 13:38:14 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Patrick O'Callaghan 2016-07-19 18:22:52 EDT
(In reply to Fedora End Of Life from comment #3)
> Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
> no longer maintained, which means that it will not receive any further
> security or bug fix updates. As a result we are closing this bug.
> 
> If you can reproduce this bug against a currently maintained version of
> Fedora please feel free to reopen this bug against that version. If you
> are unable to reopen this bug, please file a new report against the
> current release. If you experience problems, please add a comment to this
> bug.
> 
> Thank you for reporting this bug and we are sorry it could not be fixed.

The bug is still present in Fedora 24 and should be reopened. Is it enough to change the Fedora version on this page or is there a specific procedure for reopening?
Comment 5 Steven Roberts 2016-10-17 23:50:13 EDT
FYI, see:
https://bugzilla.redhat.com/show_bug.cgi?id=1375289
test builds are out for various release

Note You need to log in before you can comment on or make changes to this bug.